Sphider 3.1.0-MB and Sphider 2.4.2-PDO released

Announcements concerning the forum
Post Reply
User avatar
captquirk
Site Admin
Posts: 119
Joined: Sun Apr 09, 2017 8:49 pm
Location: Arizona, USA
Contact:

Sphider 3.1.0-MB and Sphider 2.4.2-PDO released

Post by captquirk » Mon May 13, 2019 10:32 pm

Sphider 3.1.0-MB is multibyte capable, like 3.0.0-MB. However, 3.1.0-MB does NOT require the PHP mbstring extension. Mbstring is recommended, but not required. If it is available, it will be used. If not, Sphider will emulate the mulitbyte character string functions. Also, 3.1.0-MB continues the improvements always being made to the original fork. Since there is no longer any special requirements other than the typical MySQLi/MySQLnd extensions, there is no longer a need for the 2.4.x line.

Sphider 2.4.2-PDO provides a fix for a problem with 2.4.1-PDO which could cause some UTF-8 characters to be mistaken for ISO-8859-1 characters. The resulting "conversion" produced rubbish. The PDO fork will continue to be available and supported, but no further product enhancements are anticipated.

Post Reply